Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class LineFormatInfo

    java.lang.Object
      jet.report.xls.LineFormatInfo

    public class LineFormatInfo

extends java.lang.Object

contains the information of chart line format in the file.

Field Summary
`static short` | `AUTOFORMAT`
`static short` | `DRAWTICK`
`static short` | `PATTERN_DARKGRAYPATTERN`
`static short` | `PATTERN_DASH`
`static short` | `PATTERN_DASH_DOT`
`static short` | `PATTERN_DASHDOT_DOT`
`static short` | `PATTERN_DOT`
`static short` | `PATTERN_LIGHTGRAYPATTERN`
`static short` | `PATTERN_MEDIUMGRAYPATTERN`
`static short` | `PATTERN_NONE`
`static short` | `PATTERN_SOLID`
`static short` | `WEIGHT_HAIRLINE`
`static short` | `WEIGHT_MEDIUM`
`static short` | `WEIGHT_NARROW`
`static short` | `WEIGHT_WIDE`

Constructor Summary
`LineFormatInfo()` Constructs a LineFormat record
`LineFormatInfo(int rgb, short pattern, short weight, short grbit, GlobalWorksheet gws)` Constructs a LineFormatInfo record and sets its fields appropriately.

Method Summary
`int` | `getLineColor()` Get the color of line
`short` | `getPattern()` get the pattern of line
`short` | `getWeight()` get the weight of line
`boolean` | `isAutoFormat()` get whether automatic format or not
`boolean` | `isDrawTick()` get whether draw tick labels on this axis or not
`void` | `setLineColor(int color, GlobalWorksheet gws)` Set the color of line
`void` | `setPattern(short pattern)` set the pattern of line
`void` | `setWeight(short weight)` set the weight of line

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTOFORMAT

    public static final short AUTOFORMAT

See Also:
  Constant Field Values

### DRAWTICK

    public static final short DRAWTICK

See Also:
  Constant Field Values

### PATTERN_SOLID

    public static final short PATTERN_SOLID

See Also:
  Constant Field Values

### PATTERN_DASH

    public static final short PATTERN_DASH

See Also:
  Constant Field Values

### PATTERN_DOT

    public static final short PATTERN_DOT

See Also:
  Constant Field Values

### PATTERN_DASH_DOT

    public static final short PATTERN_DASH_DOT

See Also:
  Constant Field Values

### PATTERN_DASHDOT_DOT

    public static final short PATTERN_DASHDOT_DOT

See Also:
  Constant Field Values

### PATTERN_NONE

    public static final short PATTERN_NONE

See Also:
  Constant Field Values

### PATTERN_DARKGRAYPATTERN

    public static final short PATTERN_DARKGRAYPATTERN

See Also:
  Constant Field Values

### PATTERN_MEDIUMGRAYPATTERN

    public static final short PATTERN_MEDIUMGRAYPATTERN

See Also:
  Constant Field Values

### PATTERN_LIGHTGRAYPATTERN

    public static final short PATTERN_LIGHTGRAYPATTERN

See Also:
  Constant Field Values

### WEIGHT_HAIRLINE

    public static final short WEIGHT_HAIRLINE

See Also:
  Constant Field Values

### WEIGHT_NARROW

    public static final short WEIGHT_NARROW

See Also:
  Constant Field Values

### WEIGHT_MEDIUM

    public static final short WEIGHT_MEDIUM

See Also:
  Constant Field Values

### WEIGHT_WIDE

    public static final short WEIGHT_WIDE

See Also:
  Constant Field Values

Constructor Detail

### LineFormatInfo

    public LineFormatInfo()

  Constructs a LineFormat record

### LineFormatInfo

    public LineFormatInfo(int rgb,
                          short pattern,
                          short weight,
                          short grbit,
                          GlobalWorksheet gws)

  Constructs a LineFormatInfo record and sets its fields appropriately.

  Parameters:
    `rgb` - Color of line, RGB value hight byte must be set to zero
    `pattern` - Pattern of line
    `weight` - Weight of line
    `grbit` - Format flags of line

Method Detail

### setPattern

    public void setPattern(short pattern)

  set the pattern of line

  Parameters:
    `pattern` - solid, dash, dot, dash-dot, dash dot-dot, dark gray pattern,and so on.
  See Also:
    `PATTERN_SOLID`, `PATTERN_DASH`, `PATTERN_DOT`, `PATTERN_DASH_DOT`, `DOT_DOT`, `PATTERN_DARKGRAYPATTERN`, `PATTERN_NONE`, `PATTERN_MEDIUMGRAYPATTERN`, `PATTERN_LIGHTGRAYPATTERN`

### getPattern

    public short getPattern()

  get the pattern of line

### setWeight

    public void setWeight(short weight)

  set the weight of line

  Parameters:
    `weight` - hairline, narrow, medium, wide.
  See Also:
    `WEIGHT_HAIRLINE`, `WEIGHT_NARROW`, `WEIGHT_MEDIUM`, `WEIGHT_WIDE`

### getWeight

    public short getWeight()

  get the weight of line

### isAutoFormat

    public boolean isAutoFormat()

  get whether automatic format or not

  Returns:
    whether automatic format

### isDrawTick

    public boolean isDrawTick()

  get whether draw tick labels on this axis or not

  Returns:
    draw tick labels on this axis

### setLineColor

    public void setLineColor(int color,
                             GlobalWorksheet gws)

  Set the color of line

  Parameters:
    `color` - the color of line

### getLineColor

    public int getLineColor()

  Get the color of line

  Returns:
    the color of line

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD